#!/usr/bin/perl
# Compute the empty user-agent probability from a data file ( counted each
# database)

my $esum = 0;
my $fsum = 0;

while(<>){
    chomp;
    my $line = $_;
    my ($f,$e) = split(' ',$line);
    $fsum+=$f;
    $esum+=$e;
}

my $p = $esum / ($fsum + $esum);

print "Non empty user agents: $fsum\n";
print "Empty user agents: $esum\n";
print "Empty user-agent probability: $p\n";

