#!/bin/bash
SOURCE="/data/tor/exp2/tcpsessions/"
DB="/data/tor/exp2/exp2.db";
SCRIPT="/data/tor/torgame/scripts/inspect-payload.pl"
$SCRIPT -d $DB -c || exit 1 
C=0
for i in $(ls $SOURCE); do
    FILE="$SOURCE/$i"
    if [ -d "$FILE" ]; then
        if [ -e "$DB" ]; then
            echo "Processing $DB (number $C)..."
            $SCRIPT -d $DB -r $FILE    
        else 
            echo "Database $DB was not found"
        fi
        let C=$C+1
    fi
done
