#!/bin/bash
SOURCE="/data/tor/tcpsessions"
DBROOT="/data/tor/databases";
SCRIPT="/data/tor/torgame/scripts/inspect-payload.pl"
C=0
for i in $(ls $SOURCE); do
    FILE="$SOURCE/$i"
    if [ -d "$FILE" ]; then
        DB="$DBROOT/$i.log.gz.db"
        if [ -e "$DB" ]; then
            echo "Processing $DB (number $C)..."
            $SCRIPT -d $DB -c || exit 1
            $SCRIPT -d $DB -r $FILE    
        else 
            echo "Database $DB was not found"
        fi
        let C=$C+1
    fi
done
